<form ng-submit="saveNewBoard()" class="noMargin newBoardForm" name="newBoardForm">
    <div class="form-header">
        <h4 class="modal-title">New Board</h4>
    </div>
    <div class="form-body">
        <div class="form-group">
                <input id="boardName" type="text" ng-model="name" placeholder="Title" class="form-control"
                    required focus-me tabindex="1" />
                <input id="boardCode" type="text" ng-model="code" placeholder="Code (optional)" class="form-control"
                     tabindex="2" />
                <select ng-model="visibility" ng-options="item.value as item.label for item in visibilityOptions">
                </select>
                <input ng-show="visibility == 'shared'" id="boardSecret" type="text" ng-model="boardsecret" placeholder="Secret" class="form-control"
                tabindex="3" />           
        </div>
    </div>
    <div class="form-footer">
        <button type="button" class="btn btn-secondary" tabindex="5" data-dismiss="modal" ng-click="cancelNewBoard()">Cancel</button>
        <button type="submit" class="btn btn-primary" tabindex="4">Save</button>
    </div>
</form>